## WebKitURIRequest WebKitURIRequest — Represents a URI request |

## Functions

WebKitURIRequest * | webkit_uri_request_new ()
const gchar * | webkit_uri_request_get_uri ()
void | webkit_uri_request_set_uri ()
SoupMessageHeaders * | webkit_uri_request_get_http_headers ()

## Properties

gchar * | uri | Read / Write / Construct

## Types and Values

struct | WebKitURIRequest

## Object Hierarchy

        GObject
        ╰── WebKitURIRequest

## Description

A WebKitURIRequest can be created with a URI using the `webkit_uri_request_new()` method, and you can get the URI of an existing request with the `webkit_uri_request_get_uri()` one.

## Functions

### webkit_uri_request_new ()

    WebKitURIRequest *
    webkit_uri_request_new (const gchar *uri);

Creates a new WebKitURIRequest for the given URI.

#### Parameters

uri | an URI |

#### Returns

a new WebKitURIRequest

### webkit_uri_request_get_uri ()

    const gchar *
    webkit_uri_request_get_uri (WebKitURIRequest *request);

#### Parameters

request | a WebKitURIRequest |

#### Returns

the uri of the WebKitURIRequest

### webkit_uri_request_set_uri ()

    void
    webkit_uri_request_set_uri (WebKitURIRequest *request,
                                const gchar *uri);

Set the URI of `request`

#### Parameters

request | a WebKitURIRequest |
uri | an URI |

### webkit_uri_request_get_http_headers ()

    SoupMessageHeaders *
    webkit_uri_request_get_http_headers (WebKitURIRequest *request);

Get the HTTP headers of a WebKitURIRequest as a SoupMessageHeaders.

#### Parameters

request | a WebKitURIRequest |

#### Returns

a SoupMessageHeaders with the HTTP headers of `request` or `NULL` if `request` is not an HTTP request.

[transfer none]

## Types and Values

### struct WebKitURIRequest

    struct WebKitURIRequest;

## Property Details

### The `“uri”` property

      “uri”                      gchar *

The URI to which the request will be made.

Flags: Read / Write / Construct

Default value: "about:blank"